Subject: Re: [PATCH] net: dsa: add missing phy address offset

From: Andrew Lunn <[email-masked]>
Date: Thu, 21 Feb 2019 14:10:37 +0100

> Thank you very much for your hints. Yes that works indeed too. I
> just assumed it was intended to work automatically with the 
> built-in phys as it does with the other switches I am using.

Hi Marcel

The basic assumption is there is a one to one mapping of port number
to PHY address. All the other Marvell switch have this mapping.

Since the needed flexibility exists to support this, and Marvell has
not repeated this odd design, i decided not to do anything about it in
code.

	Andrew